%define name    mozilla-firebird
%define version 0.6.1
%define release	6mdk

%define build_name	mozilla
%define	moz_name	mozilla-1.5a
%define exec_name	mozilla-firebird
%define up_ca_name	MozillaFirebird
%define lib_name	%exec_name-%version

%define section Networking/WWW
%define title   Mozilla Firebird

%define summary The Mozilla Firebird project is a redesign of Mozilla's browser

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        MPL
Group:          Networking/WWW
URL:            http://www.mozilla.org/projects/firebird/
Source0:        ftp://ftp.mozilla.org/pub/firebird/%version/%up_ca_name-source-%version.tar.bz2
Source1:        %name-icons.tar.bz2
Patch0:		mozilla-browser-home-page.patch.bz2
Patch1:		mozilla-firebird-0.6.1-plugindirs.patch.bz2
BuildRoot:      %_tmppath/%name-buildroot
BuildRequires:	libpng-devel
BuildRequires:  libmng-devel
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:  zip
BuildRequires:  libIDL2-devel
Requires:		gtk+2 >= 2.2.0 freetype2
Requires:		indexhtml
#Conflicts:		mozilla nspr libnss3
Provides:		webclient
%define _provides_exceptions libnspr4.so\\|libplc4.so\\|libplds4.so\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz.so\\|libxpcom.so
%define _requires_exceptions libnspr4.so\\|libplc4.so\\|libplds4.so\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz.so\\|libxpcom.so

%description
The Mozilla Firebird project is a redesign of Mozilla's browser component,
written using the XUL user interface language and designed to be
cross-platform.

Clarification: "Mozilla Firebird" is just a project name, in the same
way as the Mozilla Application Suite is codenamed "SeaMonkey". For
more details, read about the Mozilla Branding Strategy and the
Mozilla Roadmap.

If you're interested in where we're going and when we expect to get
there then you probably want the Mozilla Firebird Roadmap.

We track bugs using Bugzilla. Because the project is small and tightly
managed, bugs targeted to a particular milestone generally will be fixed
by that milestone. In fact, our milestone releases are bug-driven, not
date-driven. Before filing any bugs on Mozilla Firebird, please read the
bug filing instructions.

%package devel
Requires:		%{name} = %{version}-%{release}
Summary:        MozillaFirebird development files
Group:          Development/Other
Conflicts:		mozilla-devel
Conflicts:		libnss3-devel
Conflicts:		libnspr4-devel
Conflicts:		libjs1-devel

%description devel
MozillaFirebird development files

%prep
%setup -q -n %{build_name}
%setup -q -T -D -a1 -n %{build_name}

%patch0 -p1 -b .browser-home-page
%patch1 -p1 -b .plugindirs
# gw the configure script doesn't substitude LIBDIR
perl -pi -e "s!LIBDIR!%_libdir!" browser/app/mozilla.in 

%build
MOZ_PHOENIX=1 ./configure \
	--prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
	--enable-optimize=-O2 --disable-pedantic \
	--disable-debug	--disable-ldap --disable-tests --disable-debug-modules \
	--disable-mailnews --disable-composer --enable-plaintext-editor-only \
	--disable-toolkit-qt --disable-toolkit-xlib --disable-gtk \
	--enable-strip --enable-extensions --enable-freetype2 \
	--enable-xft --enable-mathml --enable-crypto --enable-xinerama \
	--with-system-jpeg --with-system-png --with-system-mng --with-system-zlib \
	--enable-toolkit-gtk2 --enable-default-toolkit=gtk2 \
	--enable-extensions=default,-inspector,-irc,-venkman,-content-packs,-help \
	--with-default-mozilla-five-home=%{_libdir}/%{lib_name}
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} << EOF
?package(%{name}): \
command="soundwrapper %_bindir/%{exec_name}" \
needs="X11" \
icon="%{name}.png" \
section="%section" \
title="%title" \
longtitle="The Mozilla Firebird project is a redesign of Mozilla's browser"
EOF

# icons
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%{name}.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%{name}.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%{name}.png

# move Firebird stuff
%__mkdir_p %buildroot%_libdir/%lib_name
%__mv %buildroot%_libdir/%moz_name/* %buildroot%_libdir/%lib_name
%__mv %buildroot%_bindir/%up_ca_name %buildroot%_bindir/%exec_name
%__rm -rf %buildroot%_libdir/%moz_name

%__perl -pi -e "s/%moz_name/%name-%version/" %buildroot%_bindir/%exec_name

# move IDL stuff
%__mkdir_p %buildroot%_datadir/idl/%lib_name
%__mv %buildroot%_datadir/idl/%moz_name/* %buildroot%_datadir/idl/%lib_name
%__rm -rf %buildroot%_datadir/idl/%moz_name

# rename mozilla-config
%__mv %buildroot%_bindir/mozilla-config %buildroot%_bindir/%exec_name-config

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README.txt LEGAL LICENSE
%_bindir/%exec_name
%dir %_libdir/%lib_name
%_libdir/%lib_name/*
%defattr(0644,root,root,0755)
%_menudir/*
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%files devel
%defattr (-,root,root)
%{_bindir}/%exec_name-config
%_includedir/*
%_datadir/aclocal/*
%dir %_datadir/idl/%{lib_name}
%_datadir/idl/%{lib_name}/*
%_libdir/pkgconfig/*

%changelog
* Fri Sep  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-6mdk
- patch1: set the plugin dir to %_libdir/mozilla/plugins and ~/.mozilla/plugins

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-5mdk
- arrgh, fix the spec file 

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- don't provide libnspr and libnss

* Mon Sep 1 2003 Tibor Pittich <Tibor Pittich@phuture.sk> 0.6.1-3mdk
- requires indexhtml

* Mon Sep 1 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6.1-2mdk
- merged patch from mozilla to set default home page as other browsers
  included in mandrake distro (#5029)

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- moz_name is 1.5a
- source url
- new version

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.7mdk
- fix typo in the devel conflicts

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.6mdk
- disable pedantic flag to fix build

* Thu Jul 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.5mdk
- add some more conflicts
- fix dir ownership

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.4mdk
- remove redundant buildrequires
- the devel package conflicts with mozilla-devel (pkgconfig files)
- don't own %_libdir/pkgconfig
- move pkgconfig files to the devel package 

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.3mdk
- fix buildrequires

* Mon May 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.2mdk
- change package name - all characters now are lowercase
- mixed numeric and and alphanumeric characters in release name isn't good
  idea (Guillaume Rousse)
- import icons from Han's rpm - http://iconpacks.mozdev.org/phoenix/
  credit to J.A. Magallon
- build with separated lib home - this can allow coexist together with mozilla
- disable ldap stuff
- improved description

* Sat May 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.UNTESTED.1mdk
- WOW! now we have MozillaFirebird package in Cooker :-)
- based on mozilla.spec
- this is pre-alfa testing rpm build!! - new versions of rpm package will be
  released soon.. Please test it and report problems..
- libnspr and libnss is packaged with MozillaFirebird package due to mozilla's
  libraries, now only devel package is separated

